## ros-iron-rosapi 1.3.1

=== debian/changelog ===
ros-iron-rosapi (1.3.1-3jammy) jammy; urgency=high

  * Add graceful shutdown (#794 <https://github.com/RobotWebTools/rosbridge_suite/issues/794>)
  * Contributors: Hans-Joachim Krauch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Oct 2022 16:00:00 -0000

ros-iron-rosapi (1.3.0-3jammy) jammy; urgency=high

  * Fixed /get_param service for arrays (#776 <https://github.com/RobotWebTools/rosbridge_suite/issues/776>)
  * Contributors: p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 15 Aug 2022 16:00:00 -0000

ros-iron-rosapi (1.2.0-3jammy) jammy; urgency=high

  * Added /rosapi/get_ros_version service (#708 <https://github.com/RobotWebTools/rosbridge_suite/issues/708>)
  * Fixed node name collision with websocket launch file (#707 <https://github.com/RobotWebTools/rosbridge_suite/issues/707>)
  * Contributors: Jacob Bandes-Storch, Kedus Mathewos, rob-clarke

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 19 May 2022 16:00:00 -0000

ros-iron-rosapi (1.1.2-3jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 02 Jan 2022 16:00:00 -0000

ros-iron-rosapi (1.1.1-3jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Dec 2021 16:00:00 -0000

ros-iron-rosapi (1.1.0-3jammy) jammy; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Exit cleanly on SIGINT; remove sleep in test (#667 <https://github.com/RobotWebTools/rosbridge_suite/issues/667>)
  * Remove unused service_host and search_param services (#660 <https://github.com/RobotWebTools/rosbridge_suite/issues/660>)
  * Migrate remaining linters to pre-commit (#657 <https://github.com/RobotWebTools/rosbridge_suite/issues/657>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 21 Oct 2021 16:00:00 -0000

ros-iron-rosapi (1.0.8-3jammy) jammy; urgency=high

  * Add missing test_depends and buildtool_depends (#617 <https://github.com/RobotWebTools/rosbridge_suite/issues/617>)
  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 25 Aug 2021 16:00:00 -0000

ros-iron-rosapi (1.0.7-3jammy) jammy; urgency=high

  * Load message definitions from .msg files; exclude /msg/ and include builtin_interfaces in combined definitions (#597 <https://github.com/RobotWebTools/rosbridge_suite/issues/597>)
  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 17 Aug 2021 16:00:00 -0000

ros-iron-rosapi (1.0.6-3jammy) jammy; urgency=high

  * Include /msg/ in type names (#591 <https://github.com/RobotWebTools/rosbridge_suite/issues/591>)
  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 16 Aug 2021 16:00:00 -0000

ros-iron-rosapi (1.0.5-3jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 11 Aug 2021 16:00:00 -0000

ros-iron-rosapi (1.0.4-3jammy) jammy; urgency=high

  * Include /msg/ in type names (#584 <https://github.com/RobotWebTools/rosbridge_suite/issues/584>)
    It's more canonical for ROS 2 type names to be of the form foo_msgs/msg/Bar rather than just foo_msgs/Bar. This is occasionally reflected in documentation and command line tooling: https://docs.ros.org/en/galactic/Tutorials/Topics/Understanding-ROS2-Topics.html#ros2-interface-show
    So rather than stripping out /msg/, we include it in the type definitions.
    See also: https://github.com/RobotWebTools/rosmsg/pull/12
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-rosapi (1.0.3-3jammy) jammy; urgency=high

  * Add TopicsAndRawTypes service (#574 <https://github.com/RobotWebTools/rosbridge_suite/issues/574>, adapted from ROS 1 implementation #452 <https://github.com/RobotWebTools/rosbridge_suite/issues/452>)
  * fix: remove json encoding before setting string params (#521 <https://github.com/RobotWebTools/rosbridge_suite/issues/521>)
  * Update rosapi/proxy.py to match eloquent API (#447 <https://github.com/RobotWebTools/rosbridge_suite/issues/447>)
  * Contributors: Jacob Bandes-Storch, justinscorringe, travipross

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 02 Aug 2021 16:00:00 -0000

ros-iron-rosapi (1.0.2-3jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 23 Sep 2019 16:00:00 -0000

ros-iron-rosapi (1.0.1-3jammy) jammy; urgency=high

  * fix missing dependency

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 19 Sep 2019 16:00:00 -0000

ros-iron-rosapi (1.0.0-3jammy) jammy; urgency=high

  * Port to ROS 2

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 18 Sep 2019 16:00:00 -0000

ros-iron-rosapi (0.11.3-3jammy) jammy; urgency=high

  * Travis CI: Look for Python syntax errors and undefined name (#420 <https://github.com/RobotWebTools/rosbridge_suite/issues/420>)
    * Travis CI: Look for Python syntax errors and undefined name
    _It would be prudent to start running the tests in both 2 and 3._  https://github.com/RobotWebTools/rosbridge_suite/issues/401#issuecomment-512069249
    * Add names to protect the guilty
    * Five jobs, not six
    * Identity is not the same thing as equality in Python
    * Flake8 tests now pass on Python 2
  * Contributors: cclauss

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 06 Aug 2019 16:00:00 -0000

ros-iron-rosapi (0.11.2-3jammy) jammy; urgency=high

  * constnames and constvalues in typedef (#412 <https://github.com/RobotWebTools/rosbridge_suite/issues/412>)
  * Contributors: Kad91

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 07 Jul 2019 16:00:00 -0000


